Bug 210274 - forcedeth driver faulty when on 1Gbps
forcedeth driver faulty when on 1Gbps
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-11 03:24 EDT by Colin Coe
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sysreport of an effected workstation (444.40 KB, application/octet-stream)
2006-10-11 03:24 EDT, Colin Coe
no flags Details
Sysreport of the Stuttgart Workstation which does not have the problems (412.44 KB, application/octet-stream)
2006-10-11 18:46 EDT, Colin Coe
no flags Details

  None (edit)
Description Colin Coe 2006-10-11 03:24:37 EDT
Description of problem:
Linux workstations running on a fast network (1Gb) whilst using Landmark 
SeisWorks or Shell 123DI have sluggish performance when interpreting a horizon 
(interp take time to register and does not keep up with cursor clicks)
SeisWorks takes long time to scroll to a new line

Version-Release number of selected component (if applicable):
RHEL3u8 (2.4.21-47)

How reproducible:

Steps to Reproduce:
1. Open Seisworks project
2. Load horizons
3. Start interpreting
Actual results:
Interpreting is slow (up to 5-10 seconds to finish interpreting)

Expected results:
Intpreting should take well under a second to complete. 

Additional info:
I disabled the on board NVidia NIC and installed an Intel EPro 1000 and 
repeated the above tests and found no performance problems.  When using a stock 
xw9300 (i.e. using the forcedeth driver) on a 100Mbps port does not show any of 
the above symptoms.

The hardware is HP xw9300 Workstation and a sysreport from a couple of days ago 
is attached.
Comment 1 Colin Coe 2006-10-11 03:24:37 EDT
Created attachment 138223 [details]
sysreport of an effected workstation
Comment 2 Colin Coe 2006-10-11 18:46:35 EDT
Created attachment 138290 [details]
Sysreport of the Stuttgart Workstation which does not have the problems
Comment 3 Colin Coe 2006-10-11 18:48:09 EDT
Attached is a sysreport from an engineering sample Sun Stuttgart workstation 
which is similar in spec to the xw9300 including having onboard NVidia NICs.
Comment 4 Prarit Bhargava 2007-09-14 11:48:21 EDT

Is this still a problem?

Comment 5 Colin Coe 2007-09-16 19:04:13 EDT
Yes this is still a problem on stock RHEL3 kernels.  The problems only seem 
apparent when doing *lots* of very small updates to a file on an NFS server 
(Solaris in this case) when the card is operating in 1G mode.  100M is fine.  
Applying the NVidia patches to take the driver to v0.60+ fixes the problem.

We are now rolling our own kernels to get around these problems.  

I know EL5 uses 0.56 of the driver but I can't test this as the apps we run 
don't work properly outside EL3.

Comment 6 RHEL Product and Program Management 2007-10-19 14:40:49 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.
Comment 7 Colin Coe 2007-10-20 23:22:32 EDT
Nice, especially considering it was logged before EL3 went into maintenance 

Note You need to log in before you can comment on or make changes to this bug.